<template>
  <b-form-group
      :description="field.description"
      :label="field.label"
      :label-for="field.id">
    <b-form-select
        :id="field.id"
        :disabled="loading"
        :value="section"
        @change="setSection"
        :options="field.options"/>
  </b-form-group>
</template>

<script>
import {mapState, mapActions, mapGetters} from 'vuex'
import {SECTION_HOT, SECTION_TOP, SECTION_USER} from '../service/imgur-service'

export default {
  name: 'SectionFilter',
  computed: {
    ...mapState({
      section: state => state.gallery.requestOptions.section,
    }),
    ...mapGetters({
      loading: 'gallery/loading'
    })
  },
  data() {
    return {
      field: {
        id: 'section-select',
        label: 'Section by',
        description: 'Choose one of these section types',
        options: [
          {value: SECTION_HOT, text: 'hot'},
          {value: SECTION_TOP, text: 'top'},
          {value: SECTION_USER, text: 'user'},
        ]
      }
    }
  },
  methods: {
    ...mapActions({
      setSection: 'gallery/setSection'
    })
  }
}
</script>

<style scoped>

</style>